Newbie questions about acekard2i

Discussion in 'Acekard' started by zavlin, Dec 12, 2009.

Dec 12, 2009
  1. zavlin
    OP

    Newcomer zavlin Member

    Joined:
    Sep 6, 2003
    Messages:
    34
    Country:
    United States
    Hi, im thinking about getting a dsi and an acekard2i to go with it. I heard about the 1.4 firmware issue and was wondering if its likely new ds's already come updated? I was also wondering if anyone had suggestions for reliable good sources to buy an acekard2i from. Thanks!
     
  2. soulx

    Member soulx GBAtemp Legend

    Joined:
    Apr 4, 2009
    Messages:
    10,130
    Country:
    Canada
    Yep. Most DSi's purchased from now on have the 1.4U firmware. It shouldn't really matter, as the Acekard 2i can support it. I recently purchased a DSi for a friend and it came with 1.4 firmware. You could purchase an Acekard 2i from here You shouldn't get it from DealExtreme. The shipping will take a hell of a long time.
     
  3. Hakoda

    Member Hakoda GBAtemp Addict

    Joined:
    Feb 2, 2008
    Messages:
    2,133
    Location:
    San Jose, CA
    Country:
    United States
    DSi FAQ says that it may not be shipped with 1.4.

    Reliable places to get an AK2i?

    Any of GBATemp's Affiliates, RealHotStuff.com (will update the AK2i with 1.4 fix for free, but a little pricey), DealExtreme.com (slow/free shipping because its a China based company, but you won't find a cheaper price)

    ~ Jon

    EDIT: Revolutionize beat me to it. hahahah
     
  4. zavlin
    OP

    Newcomer zavlin Member

    Joined:
    Sep 6, 2003
    Messages:
    34
    Country:
    United States
    thanks guys [​IMG] i wiiilll investigate.
     

Share This Page